Loading...
Searching...
No Matches
PolygonPool Class Reference

Collection of quads and triangles. More...

`#include <openvdb/tools/VolumeToMesh.h>`

## Public Member Functions

| PolygonPool ()
| PolygonPool (const size_t numQuads, const size_t numTriangles)
void | copy (const PolygonPool &rhs)
void | resetQuads (size_t size)
void | clearQuads ()
void | resetTriangles (size_t size)
void | clearTriangles ()
const size_t & | numQuads () const
openvdb::Vec4I & | quad (size_t n)
const openvdb::Vec4I & | quad (size_t n) const
const size_t & | numTriangles () const
openvdb::Vec3I & | triangle (size_t n)
const openvdb::Vec3I & | triangle (size_t n) const
char & | quadFlags (size_t n)
const char & | quadFlags (size_t n) const
char & | triangleFlags (size_t n)
const char & | triangleFlags (size_t n) const
bool | trimQuads (const size_t n, bool reallocate=false)
bool | trimTrinagles (const size_t n, bool reallocate=false)

## Detailed Description

Collection of quads and triangles.

## Constructor & Destructor Documentation

## PolygonPool() [1/2]

PolygonPool | ( |  | ) |

inline

## PolygonPool() [2/2]

PolygonPool | ( | const size_t | numQuads,
|  | const size_t | numTriangles )

inline

## Member Function Documentation

## clearQuads()

void clearQuads | ( |  | ) |

inline

## clearTriangles()

void clearTriangles | ( |  | ) |

inline

## copy()

void copy | ( | const PolygonPool & | rhs | ) |

inline

## numQuads()

const size_t & numQuads | ( |  | ) | const

inline

## numTriangles()

const size_t & numTriangles | ( |  | ) | const

inline

## quad() [1/2]

openvdb::Vec4I & quad | ( | size_t | n | ) |

inline

## quad() [2/2]

const openvdb::Vec4I & quad | ( | size_t | n | ) | const

inline

## quadFlags() [1/2]

char & quadFlags | ( | size_t | n | ) |

inline

## quadFlags() [2/2]

const char & quadFlags | ( | size_t | n | ) | const

inline

## resetQuads()

void resetQuads | ( | size_t | size | ) |

inline

## resetTriangles()

void resetTriangles | ( | size_t | size | ) |

inline

## triangle() [1/2]

openvdb::Vec3I & triangle | ( | size_t | n | ) |

inline

## triangle() [2/2]

const openvdb::Vec3I & triangle | ( | size_t | n | ) | const

inline

## triangleFlags() [1/2]

char & triangleFlags | ( | size_t | n | ) |

inline

## triangleFlags() [2/2]

const char & triangleFlags | ( | size_t | n | ) | const

inline

## trimQuads()

bool trimQuads | ( | const size_t | n,
|  | bool | reallocate = false )

inline

## trimTrinagles()

bool trimTrinagles | ( | const size_t | n,
|  | bool | reallocate = false )

inline